@import "./palettes/default-palette.scss";
@import "../custom-variables";

$agcp-light-primary: mat-palette($agcp-default-blue, 700, 50, 900);
$agcp-light-accent: mat-palette($agcp-default-grey, 700, 50, 900);
$agcp-light-warn: mat-palette($agcp-default-red, 700, 50, 900);
$agcp-light-caution: mat-palette($agcp-default-orange, 700, 50, 900);
$agcp-light-success: mat-palette($agcp-default-green, 700, 50, 900);
$agcp-light-highlight: mat-palette($agcp-default-purple, 700, 50, 900);

// Creates a container object for a light theme to be given to individual component theme mixins.
@function mat-light-theme($primary, $accent, $warn: mat-palette($mat-red), $caution, $success, $highlight) {
  @return (
    caution: $caution,
    primary: $primary,
    accent: $accent,
    warn: $warn,
    success: $success,
    highlight: $highlight,
    is-dark: false,
    foreground: $mat-light-theme-foreground,
    background: $mat-light-theme-background
  );
}

$agcp-default-theme: mat-light-theme(
  $agcp-light-primary,
  $agcp-light-accent,
  $agcp-light-warn,
  $agcp-light-caution,
  $agcp-light-success,
  $agcp-light-highlight
);
